<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <!--meta http-equiv="refresh" content="30"-->

    <!-- Main JS (navbar.js)-->
    <script defer src="./assets/js/main.js"></script>

    <!-- CSS -->
    <link rel="stylesheet" href="./assets/css/main.css">

    <!-- Font Awesome -->
    <!-- <link href="//maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet"> -->
    <link rel="stylesheet" type="text/css" href="./assets/css/vendor/font-awesome.min.css">

    <!-- Google Fonts -->
    <link href="//fonts.googleapis.com/css?family=Source+Sans+Pro:400,700,700italic,400italic" rel="stylesheet"
          type="text/css">

    <title>Thermostat - Jan Wagemakers -</title>
</head>

<body>
<div th:replace="./includes/menu :: menu"></div>

<div class="content">
    <article class="feature-image">
        <header id="main" style="background-image: url('./assets/img/darkCloud.jpeg')">
            <h1 id="About" class="title">
                Users
            </h1>
        </header>

        <section class="post-content">
            <h2>Current users</h2>
            <hr>
            <form th:each="user : ${users}" action="#" th:action="@{/users}" method="post">
                <input type="hidden" name="id" th:value="${user.id}" readonly/>
                Name:<br>
                <p><input type="text" name="name" th:value="${user.name}" ></p>
                Smartphone&apos;s bluetooth:<br>
                <p><input type="text" name="bluetooth" th:value="${user.bluetooth}" ></p>
                Smartphone's IP:
                <p><input type="text" name="ip" th:value="${user.ip}" ></p>
                <input type="submit" name="action" value="Save"/>
                <input type="submit" name="action" value="Del"/>
                <input type="submit" name="action" value="Rules"/>
                <hr>
            </form>
            <h2>Add a new user</h2>
            <hr>
            <form action="#" th:action="@{/users}" th:object="${newUser}" method="post">
                <input type="hidden" th:field="*{id}" readonly/>
                Name:<br>
                <p><input type="text" th:field="*{name}"/></p>
                Smartphone&apos;s bluetooth:<br>
                <p><input type="text" th:field="*{bluetooth}"/></p>
                Smartphone's IP:
                <p><input type="text" th:field="*{ip}"/></p>
                <input type="submit" name="action" value="Add"/>
            </form>
            <hr>
        </section>
    </article>
</div>

</body>
</html>
